Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class CRDInfoKey

    java.lang.Object
      jet.server.api.crd.CRDInfoKey

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CubeInfoKey

    public class CRDInfoKey

extends java.lang.Object
implements java.io.Serializable

CRD (cached report data) information key identifies a CRD information

See Also:
  Serialized Form

Constructor Summary
`CRDInfoKey(java.lang.String catalogPath, java.lang.String dataSource, int queryType, java.lang.String queryName)` Constructs a CRD information key.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares if the parameter object is equal to this one.
`java.lang.String` | `getCatalogPath()` Gets catalog path of CRD related resource tree real path.
`java.lang.String` | `getDataSource()` Gets data source of CRD related.
`java.lang.String` | `getQueryName()` Gets query name of CRD related.
`int` | `getQueryType()` Gets query type of CRD related.
`int` | `hashCode()` Returns a hash code value for the object.
`void` | `setCatalogPath(java.lang.String catalogPath)` Sets catalog path of CRD related resource tree real path.
`void` | `setDataSource(java.lang.String dataSource)` Sets data source of CRD related.
`void` | `setQueryName(java.lang.String queryName)` Sets query name of CRD related.
`void` | `setQueryType(int queryType)` Sets query type of CRD related.
`java.lang.String` | `toStr()`
`java.lang.String` | `toString()` Convert CRDInfoKey to string object.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRDInfoKey

    public CRDInfoKey(java.lang.String catalogPath,
                      java.lang.String dataSource,
                      int queryType,
                      java.lang.String queryName)

  Constructs a CRD information key.

  Parameters:
    `catalogPath` - catalog path.
    `dataSource` - data source.
    `queryType` - query type.
    `queryName` - query name.

Method Detail

### getCatalogPath

    public java.lang.String getCatalogPath()

  Gets catalog path of CRD related resource tree real path.

  Returns:
    catalog path of CRD related resource tree real path.

### setCatalogPath

    public void setCatalogPath(java.lang.String catalogPath)

  Sets catalog path of CRD related resource tree real path.

  Parameters:
    `catalogPath,` - the catalog path.

### getDataSource

    public java.lang.String getDataSource()

  Gets data source of CRD related.

  Returns:
    data source of CRD related.

### setDataSource

    public void setDataSource(java.lang.String dataSource)

  Sets data source of CRD related.

  Parameters:
    `dataSource,` - the data source.

### getQueryType

    public int getQueryType()

  Gets query type of CRD related.

  Returns:
    query type of CRD related.

### setQueryType

    public void setQueryType(int queryType)

  Sets query type of CRD related.

  Parameters:
    `queryType,` - the query type.

### getQueryName

    public java.lang.String getQueryName()

  Gets query name of CRD related.

  Returns:
    query name.

### setQueryName

    public void setQueryName(java.lang.String queryName)

  Sets query name of CRD related.

  Parameters:
    `queryName,` - the query name.

### equals

    public boolean equals(java.lang.Object obj)

  Compares if the parameter object is equal to this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to be compared
  Returns:
    true if the parameter object is equal to this object, otherwise return false.

### toString

    public java.lang.String toString()

  Convert CRDInfoKey to string object.

  Overrides:
    `toString` in class `java.lang.Object`

### toStr

    public java.lang.String toStr()

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD